/* Moje style CSS */
/* IMPORT FONTÓW Z GOOGLE */
@import url('https://fonts.googleapis.com/css2?family=Lumanosimo&family=Livvic:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,900&family=Marcellus&family=Marcellus+SC&display=swap');


/* KOLORY */
:root{
    --kolor-podstawowy: #2F7401;

    --kolor-podstawowy-transparent: #084600
    ;
    --kolor-uzupelniajacy: #CBDEC0;
    --kolor-akcent: #5B385C;
    --kolor-ciemny: #084600
    ;
    --kolor-ciemny2: #534A4A;

    --kolor-jasny: #ffffff;
    


}

/* GLOBALNE SELEKTORY */
*{
    transition: 1s;/*animacja zmiany stylów*/
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;/*płynne przewijanie*/
}
body{
    font-family: "Livvic", sans-serif;
}

a{
    text-decoration: none;/*usuwa podkreślenia ze wszystkich hiperłączy w całym dokumencie*/
}
p{
    line-height: 140%;/*interlinia - odstęp między wierszami tekstu*/
    font-weight: 300;
    word-break: keep-all; /* zapobiega łamaniu spójników i słów */
}
img{
    max-width: 100%;/*responsywne obrazy*/
}
/* po przecinkach wymieniamy wszystkie elementy dla których chcemy jednakowe właściwości */
h1, h2, h3, h4, h5, h6 {
    font-family: "Marcellus", serif;
    
}
h1{}
h2{
     font-family: "Marcellus", serif; /* Marcellus */
    font-weight: 400;               /* Regular */
    font-size: 36px;                /* rozmiar */
    color: var(--kolor-jasny);
    
    background-size: cover;
    width: 100%;
    padding: 30px 20px;
    text-align: center;
}
h3{
    font-size: 30px;
    font-weight: 500;
    margin: 15px 0;
}
h4{
    font-size: 20px;
    font-weight: 500;
    margin: 10px 0;
}
h5{
    font-size: 60px;
    font-weight: 500;
    margin: 10px 0;
    color: #fff;
}
h6{
    font-size: 12px;
    margin: 40px 0 0 0;
}
.cytat {
    margin-left: 40px;
    font-style: normal;
}
/* NAWIGACJA */
nav{
    background-color: var(--kolor-podstawowy);
    display: flex;
    justify-content:  center;
    align-items: center;
    padding: 10px;
    position: fixed;/*przylepia nav do krawędzi okna przegl.*/
    width: 100%;
    z-index: 1;/*zmiana kolejności elementów*/
}
nav ol{
    /* background-color: orange; */
    max-width: 1200px;
    width: 100%;
    
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
nav ol li{
    /* background-color: green; */
}
.logo{
    font-family: "Lumanosimo", cursive;
    font-size: 30px;
}
.logo:hover{
    background: none;
}
nav ol li a{
    padding: 10px 30px;
    /* display: inline; utrudnia ustawianie i rozmiar */
    display: block;/*wpływają na otoczenia i można im ustawić rozmiar*/
    color: var(--kolor-jasny);
}
nav ol li a:hover{
    background-color: var(--kolor-jasny);
    color: var(--kolor-ciemny);
    border-radius: 40px;
    font-weight: 900;
}

/* WSZYSTKIE SEKCJE */
section{
    min-height: 100vh;/*vh = viewport height = % wys. okna przegl.*/
    padding: 40px 20px;

    /*FLEX CONTAINER*/
    display: flex;
    justify-content: center;
    align-items: center;

    flex-direction: column;/*domyślnie jest row - w wierszu*/

    scroll-margin-top: 56px;/*odstęp od góry przy przewijaniu do sekcji - wysokość nav*/
}
.zawartosc{
    
    max-width: 1200px;
    width: 100%;
    /* FLEX ITEM - bo kontenre nadrzędny ma flex */
}
.haslo {
    display: flex;
    flex-direction: column; /* ustawia tekst jeden pod drugim */
    align-items: center;    /* wyśrodkowanie */
    text-align: center;
    line-height: 1.1;
    margin-top: 25vh;
     opacity: 0;
    transform: translateY(40px);

    animation: pokazHaslo 1.5s ease forwards;
}

@keyframes pokazHaslo{

    from{
        opacity:0;
        transform:translateY(40px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }


    
}

.bialy{
    color: #fff;
    
    margin-left: 0; 
    opacity:0;
    animation: pokaz 1s ease forwards;
    animation-delay:0.8s;
  /* przesuwa tylko pierwszą linię w lewo */
}

.zielony{
    color:#084600;
    display: block;
    margin-top: 0;
    margin-left: 0;
 opacity:0;
    animation: pokaz 1s ease forwards;
}
@keyframes pokaz{

    from{
        opacity:0;
        transform:translateY(25px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }

}

/* PREFIX class to . */

/* POSZCZEGÓLNE SEKCJE */
#sekcja1{
    /* background-color: var(--kolor-jasny); */
    background: url(../img/green-leaves-summer-forest.jpg) no-repeat center;
    background-size: cover;
    color: #fff;
}
#sekcja1 .zawartosc{
    display: flex;
    flex-direction: column;
    align-items: center;/*row/column = justify/align*/
    gap: 5vh;
}
#logo{
    display: flex;
    justify-content: center;
    align-items: center;

    font-family: "Italiana", sans-serif;
    color: var(--kolor --kolor-jasny);
    font-size: 128px;
    font-weight: 200;

    cursor: default;/*zmienia kursor na domyślny - strzalka*/
}
#logo:hover{

    color: var(--kolor-jasny);
    
    font-size: 140px;
}
#sekcja1 h1{
    color: var(--kolor-jasny);
    font-size: 18px;
}
.motto{
    font-size: 18px;
    font-weight: 300;
    opacity: 0.9;
}
#sekcja1 h1 span{
    font-weight: 900;
    background-color: var(--kolor-jasny);
    color: var(--kolor-podstawowy);
    border-radius: 50px;
    padding: 0 20px 10px;
}
#sekcja1 a{
    color: var(--kolor-jasny);
    padding: 20px 40px;
    border: 2px solid var(--kolor-podstawowy);
    border-radius: 40px;
}
#sekcja1 h4 {
    margin-left: 600px;
    padding-left: 40px;
    text-align: right;
    white-space: nowrap; /* zapobiega łamaniu tekstu */
}
#sekcja1 h4 {
    padding-left: 40px;
}#sekcja1 h4 {
    text-align: right;
}
#sekcja1 a:hover{
    border: 2px solid var(--kolor-jasny);
    font-weight: 900;
}

#sekcja2{
    /* background-color: var(--kolor-jasny); */
}

#sekcja2 .zawartosc{
    display: flex;
    gap: 40px;
    justify-content: center;
    align-items: flex-start;
    transform: translateY(-70px);
}

#sekcja2 article{
    flex: 0 1 280px;
    text-align: left;
    padding: 10px;
}

#sekcja2 article img{

    width: 100%;
    border-radius: 20px;
    display: block;
    margin: 0 auto;

}

#sekcja2 article h3{
    text-align: center;
    margin: 10px 0 20px 0;
    font-size: 28px;
}

#sekcja2 article ul{
    list-style: circle;
    padding-left: 22px;   /* odległość punktorów od lewej */
    margin-top: 15px;
    line-height: 1.5;     /* lekko większy odstęp między wierszami */
}

#sekcja2 article li{
    margin-bottom: 8px;   /* odstęp między punktami */
}
#sekcja2 h3 {
    font-family: "Livvic", sans-serif; /* zmiana fontu */
    font-weight: 700; /* Bold */
    font-size: 16px; /* rozmiar tekstu */
    text-align: center;
    margin-bottom: 50px; /* zwiększa przerwę pod nagłówkiem */
}


#sekcja3{
    background: url(../img/pien3.jpg) no-repeat center;
    background-size: cover;
}

#sekcja3 .zawartosc{
    max-width: 450px;
    margin-left: 10%;
    /* margin-right: 8%; */
    width: 100%;
    /* background-color: red; */
}

#sekcja3 h2{
    font-family: "Livvic", sans-serif;
    font-size: 48px;
    font-weight: 900;
    line-height: 1.1;
    text-transform: uppercase;
    color: var(--kolor-akcent);
    background: none;
    padding: 0;
    text-align: left;
    margin-bottom: 30px;
}

#sekcja3 ul{
    list-style: disc;
    padding-left: 22px;
    line-height: 1.8;
    font-size: 18px;
}

#sekcja3 li{
    margin-bottom: 12px;
}
#sekcja3 ul li{
    font-weight: 500;
}
#sekcja3 h3 {
    font-family: "Livvic", sans-serif;
    font-weight: 600;   /* SemiBold */
    font-size: 20px;
    margin-top: 40px;  /* opcjonalnie – odstęp nad nagłówkiem */
    margin-bottom: 25px;
}
h3.podlewanie {
    color: var(--kolor-ciemny);
}



#sekcja4{
    background: url(../img/tlo_liscie.jpg) no-repeat center;
    background-size: cover;
    min-height: 100vh;
    padding: 60px 20px;
}

#sekcja4 .zawartosc{
    max-width: 1000px;
    width: 100%;
    margin: 0 auto;
}

#sekcja4 h2{
    font-family: "Livvic", sans-serif;
    font-size: 42px;
    font-weight: 900;
    line-height: 1.1;
    text-align: center;
    color: var(--kolor-akcent);
    background: none;
    padding: 0;
    margin-bottom: 45px;
}

.kroki{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 22px 70px;
}

.kroki article{
    display: flex;
    align-items: stretch;
    gap: 15px;
}

.numer{
    font-family: "Marcellus", serif;
    font-size: 56px;
    color: var(--kolor-akcent);
    line-height: 1;
}

.ramka{
    background-color: #fff;
    border-radius: 12px;
    padding: 24px 28px;
    height: 150px;
    width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    box-shadow: 0 4px 12px rgba(0,0,0,0.08);
}

.ramka h3{
    font-family: "Livvic", sans-serif;
    font-size: 17px;
    font-weight: 800;
    color: var(--kolor-akcent);
    margin: 0 0 18px 0;
}

.ramka p{
    font-size: 17px;
    line-height: 1.35;
    margin: 0;
    color: #222;
}

#sekcja5{
    background:#fff;
    padding:90px 20px;
    min-height: 70vh;
}

#sekcja5 .zawartosc{

    max-width:1100px;
    margin:auto;

    display:flex;
    justify-content:space-between;
    align-items:flex-start;

    gap:120px;
}

#sekcja5 article{

    flex:1;

}

#sekcja5 h2{

    font-family:"Livvic", sans-serif;
    font-size:48px;
    font-weight:900;

    color:var(--kolor-akcent);

    background:none;
    padding:0;

    text-align:left;

    margin-bottom:45px;

    text-transform:uppercase;
}

#sekcja5 ul{

    padding-left:25px;

    list-style:disc;
}

#sekcja5 li{

    font-size:18px;

    line-height:1.8;

    margin-bottom:18px;
}

#sekcja5 p{

    font-size:18px;

    line-height:1.8;

    margin-bottom:30px;

    color:#4d4d4d;
}

#sekcja5 strong{

    color:#2f7401;

    font-weight:700;
}

#sekcja5 .uwaga{

    margin-top:70px;

    color:#4b6e63;
    font-weight: 700;
    text-align:center;
    line-height: 1.5;
    max-width: 90%;
}
#sekcja5 article:nth-child(2) h2 + p{
    transform: translateY(30px);
}

/* STOPKA */
#stopka{
    min-height: 50vh;
    background: url("../img/liscie09.07.jpg") no-repeat center / cover;

    /* padding:60px 20px 30px; */
}
#stopka .zawartosc{

    max-width:1100px;

    margin:auto;

    display:flex;

    justify-content:space-between;

    align-items:flex-start;

    gap:40px;
    transform: none;
}
#stopka article{

    flex:1;
}
#stopka h4{

    font-family:"Livvic", sans-serif;

    font-size:18px;

    letter-spacing:1px;

    color:#4A4A4A;

    margin-bottom:20px;
}

#stopka article h3{
    margin-bottom: 10px;
}
#stopka article p{}
#stopka article p a{color: #000; /* czarny kolor dla telefonu i e-mail */
    text-decoration: none; /* jeśli chcesz usunąć podkreślenie */}
#stopka article p a:hover{color: var(--kolor-akcent); /* np. czerwony przy najechaniu */
    text-decoration: underline;  /* opcjonalnie */}
#stopka a img {
    width: 45px;      /* rozmiar ikon */
    height: auto;
    margin-right: 0px;
    transition: 0.3s;
    object-fit:contain;
}

#stopka article p.newsletter {
    font-size: 10px;      /* zmniejszony rozmiar */
    line-height: 1.4;     /* lepsza czytelność */
    color: #151414;       /* pasujący kolor */
    white-space: nowrap;   /* zapobiega łamaniu linii */
    overflow: hidden;      /* ukrywa nadmiar tekstu, jeśli nie mieści */
    text-overflow: ellipsis; /* opcjonalnie: dodaje "..." jeśli za długie */
}
#stopka a img:hover {
    transform: scale(1.1); /* efekt powiększenia */

}
#stopka article:first-child{
    transform:translate(110px);   /* zwiększ lub zmniejsz według potrzeb */
}
#stopka article:nth-child(2){
    transform: translateX(30px);
}
#stopka article:nth-child(3){
    margin-left: 0;
}


#stopka article form input{}


#stopka article form input[type=submit]{background-color: var(--kolor-akcent); /* różowy */
    display: flex;                /* włączamy flex, aby wycentrować tekst */
    justify-content: center;      /* wyśrodkowanie poziome */
    align-items: center;          /* wyśrodkowanie pionowe */
    text-align: center;
    line-height: normal;
    height: 28px;                 /* wysokość przycisku */
    width: 100px;                  /* szerokość przycisku */
    padding: 0 10px;              /* dodatkowy padding w poziomie */
    font-size: 14px;
    font-weight: normal;
    color: #fff;                  /* biały tekst */
    background-color: var(--kolor-akcent); /* różowy */
    border: none;
    border-radius: 0px;
    cursor: pointer;
    transition: background-color 0.3s ease; /* płynna zmiana tła */
    
}
#stopka article form input[type=submit]:hover {
    background-color: #8f122f; /* jaśniejszy róż lub inny kolor */
}
.przycisk{
    display: inline-block;
    margin-top: 30px;

    background-color: var(--kolor-akcent);
    color: #fff;

    padding: 14px 28px;

    font-family: "Livvic", sans-serif;
    font-size: 16px;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 1px;

    text-decoration: none;
    border-radius: 3px;

    transition: 0.3s;
}

.przycisk:hover{
    background-color: #47284b;
}
#stopka .ikony{

    display:flex;

    gap:12px;
    margin-left: -12px;
}
#stopka .ikony a{
    display: inline-block;
    width: auto;
    height: auto;
    border: none;
    border-radius: 0;
    background: none;
    padding: 0;
}

    
#stopka .ikony a:hover{

    background: none;
    border: none;
}


#stopka button{

    background:#2F7401;

    color:#fff;

    border:none;

    padding:20px 24px;

    font-weight:600;

    cursor:pointer;

    border-radius:2px;

    float:right;

    transition:.3s;
}
#stopka button:hover{

    background:#084600;
}
#stopka .copyright{

    text-align:center;

    margin-top:40px;

    color:#232222;

    font-size:14px;
}
#stopka article.newsletter form input[type=email]{
    width: 240px;
    min-height: 20px;
    background: #CBDEC0;
    color: #084600;
    border: none;
    padding: 0 15px;
    font-size: 14px;
}

#stopka article.newsletter form button{
    width: 100px;
    height: 20px;
    align-self: flex-end;
    background: #2F7401;
    color: #fff;
    border: none;
    font-size: 11px;
    margin-right:20px;
}
#stopka article.newsletter form{
    width: 280px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

#stopka article.newsletter form input[type="email"]{
    width: 100%;
    height: 38px;          /* tutaj zmieniasz wysokość */
    padding: 0 15px;
    background: #CBDEC0;
    color: #084600;
    border: none;
    border-radius: 2px;
    font-size: 14px;
    margin-left: auto;
}

#stopka article.newsletter form input[type="email"]::placeholder{
    color: #6d8b63;
}

#stopka article.newsletter form button{
    width: 120px;
    height: 28px;
    margin-left: auto;
    margin-right: -1px;
    margin-top: 7px;
    background: #2F7401;
    color: white;
    border: none;
    padding: 0;

display: flex;
justify-content: center;
align-items: center;

line-height: 1;
    cursor: pointer;
    
}
#stopka article.newsletter form button:hover{
    background-color: var(--kolor-akcent);
}
@media (max-width: 900px){

    nav ol{
        flex-direction: column;
        
    }

    nav ol li a{
        padding: 6px 10px;
        font-size: 13px;
    }

    #sekcja2 .zawartosc,
    #sekcja5 .zawartosc,
    #stopka .zawartosc{
        flex-direction: column;
        align-items: center;
        gap: 40px;
        transform: none;
    }

    #sekcja2 .zawartosc{
        transform: none;
    }

    #sekcja2 article{
        max-width: 320px;
    }

    #sekcja3 .zawartosc{
        margin-left: 0;
        max-width: 70%;
        /* max-width: 90%; */
        /* background-color:red; */
        padding-left: 20%;
    }

    .kroki{
        grid-template-columns: 1fr;
    }

    #stopka article,
    #stopka article:first-child,
    #stopka article:nth-child(2),
    #stopka article:nth-child(3){
        margin-left: 0;
        transform: none;
        text-align: center;
    }

    #stopka .ikony{
        justify-content: center;
        margin-left: 0;
    }
}
@media (max-width: 600px){

    h5{
        font-size: 34px;
    }

    .zielony,
    .bialy{
        margin-left: 0;
        margin-top: 0;
    }

    #sekcja3 h2,
    #sekcja4 h2,
    #sekcja5 h2{
        font-size: 30px;
    }

    .ramka{
        height: auto;
        min-height: 150px;
    }

    #stopka article.newsletter form{
        width: 240px;
        #stopka article.newsletter form button{
    margin: 10px auto 0;
}
    }
    #sekcja1{
    background: url("../img/pien4.jpg") no-repeat center center;
    background-size: cover;
    min-height: 100vh;


    }
    #sekcja3 .zawartosc{
        max-width: 80%;
        padding-left: 10%;
    }
}